## org.apache.aries.subsystem.core.archive
Interface Grammar

    public interface Grammar

Field Summary
`static String` `ALPHA`
`static String` `ALPHANUM`
`static String` `ARGUMENT`
`static String` `ATLEAST`
`static String` `ATTRIBUTE`
`static String` `BUNDLE_DESCRIPTION`
`static String` `CAPABILITY`
`static String` `CEILING`
`static String` `CLAUSE`
`static String` `DIGIT`
`static String` `DIRECTIVE`
`static String` `EXPORT`
`static String` `EXPORT_PACKAGE`
`static String` `EXTENDED`
`static String` `FLOOR`
`static String` `HEADER`
`static String` `HEADERCHAR`
`static String` `IDENTIFIER`
`static String` `IMPORT`
`static String` `IMPORTPACKAGE`
`static String` `INTERVAL`
`static String` `JLETTER`
`static String` `JLETTERORDIGIT`
`static String` `LIST`
`static String` `MAJOR`
`static String` `MICRO`
`static String` `MINOR`
`static String` `NAME`
`static String` `NAMESPACE`
`static String` `NUMBER`
`static String` `OBJECTCLASS`
`static String` `PACKAGENAME`
`static String` `PACKAGENAMES`
`static String` `PARAMETER`
`static String` `PATH`
`static String` `PATH_ELEMENT`
`static String` `PATH_ELEMENT_NT`
`static String` `PATH_SEP`
`static String` `PATH_UNQUOTED`
`static String` `PATH_UNQUOTED_NT`
`static String` `PREFERRED_PROVIDER`
`static String` `PROVIDE_CAPABILITY`
`static String` `QUALIFIER`
`static String` `QUOTED_STRING`
`static String` `REQUIRE_BUNDLE`
`static String` `REQUIRE_CAPABILITY`
`static String` `REQUIREMENT`
`static String` `RESOURCE`
`static String` `SCALAR`
`static String` `SERVICE`
`static String` `SUBSYSTEM_EXPORTSERVICE`
`static String` `SUBSYSTEM_IMPORTSERVICE`
`static String` `SYMBOLICNAME`
`static String` `TOKEN`
`static String` `TYPE`
`static String` `TYPED_ATTR`
`static String` `UNIQUENAME`
`static String` `VERSION`
`static String` `VERSIONRANGE`

Field Detail

### DIGIT

    static final String DIGIT

See Also:
  Constant Field Values

### ALPHA

    static final String ALPHA

See Also:
  Constant Field Values

### ALPHANUM

    static final String ALPHANUM

See Also:
  Constant Field Values

### TOKEN

    static final String TOKEN

See Also:
  Constant Field Values

### EXTENDED

    static final String EXTENDED

See Also:
  Constant Field Values

### QUOTED_STRING

    static final String QUOTED_STRING

See Also:
  Constant Field Values

### ARGUMENT

    static final String ARGUMENT

See Also:
  Constant Field Values

### DIRECTIVE

    static final String DIRECTIVE

See Also:
  Constant Field Values

### ATTRIBUTE

    static final String ATTRIBUTE

See Also:
  Constant Field Values

### PARAMETER

    static final String PARAMETER

See Also:
  Constant Field Values

### PATH_ELEMENT

    static final String PATH_ELEMENT

See Also:
  Constant Field Values

### PATH_ELEMENT_NT

    static final String PATH_ELEMENT_NT

See Also:
  Constant Field Values

### PATH_SEP

    static final String PATH_SEP

See Also:
  Constant Field Values

### PATH_UNQUOTED

    static final String PATH_UNQUOTED

See Also:
  Constant Field Values

### PATH_UNQUOTED_NT

    static final String PATH_UNQUOTED_NT

See Also:
  Constant Field Values

### PATH

    static final String PATH

See Also:
  Constant Field Values

### CLAUSE

    static final String CLAUSE

See Also:
  Constant Field Values

### HEADERCHAR

    static final String HEADERCHAR

See Also:
  Constant Field Values

### NAME

    static final String NAME

See Also:
  Constant Field Values

### HEADER

    static final String HEADER

See Also:
  Constant Field Values

### JLETTER

    static final String JLETTER

See Also:
  Constant Field Values

### JLETTERORDIGIT

    static final String JLETTERORDIGIT

See Also:
  Constant Field Values

### IDENTIFIER

    static final String IDENTIFIER

See Also:
  Constant Field Values

### UNIQUENAME

    static final String UNIQUENAME

See Also:
  Constant Field Values

### SYMBOLICNAME

    static final String SYMBOLICNAME

See Also:
  Constant Field Values

### PACKAGENAME

    static final String PACKAGENAME

See Also:
  Constant Field Values

### PACKAGENAMES

    static final String PACKAGENAMES

See Also:
  Constant Field Values

### IMPORT

    static final String IMPORT

See Also:
  Constant Field Values

### IMPORTPACKAGE

    static final String IMPORTPACKAGE

See Also:
  Constant Field Values

### NAMESPACE

    static final String NAMESPACE

See Also:
  Constant Field Values

### REQUIREMENT

    static final String REQUIREMENT

See Also:
  Constant Field Values

### REQUIRE_CAPABILITY

    static final String REQUIRE_CAPABILITY

See Also:
  Constant Field Values

### BUNDLE_DESCRIPTION

    static final String BUNDLE_DESCRIPTION

See Also:
  Constant Field Values

### REQUIRE_BUNDLE

    static final String REQUIRE_BUNDLE

See Also:
  Constant Field Values

### EXPORT

    static final String EXPORT

See Also:
  Constant Field Values

### EXPORT_PACKAGE

    static final String EXPORT_PACKAGE

See Also:
  Constant Field Values

### SCALAR

    static final String SCALAR

See Also:
  Constant Field Values

### LIST

    static final String LIST

See Also:
  Constant Field Values

### TYPE

    static final String TYPE

See Also:
  Constant Field Values

### TYPED_ATTR

    static final String TYPED_ATTR

See Also:
  Constant Field Values

### CAPABILITY

    static final String CAPABILITY

See Also:
  Constant Field Values

### PROVIDE_CAPABILITY

    static final String PROVIDE_CAPABILITY

See Also:
  Constant Field Values

### OBJECTCLASS

    static final String OBJECTCLASS

See Also:
  Constant Field Values

### SERVICE

    static final String SERVICE

See Also:
  Constant Field Values

### SUBSYSTEM_EXPORTSERVICE

    static final String SUBSYSTEM_EXPORTSERVICE

See Also:
  Constant Field Values

### SUBSYSTEM_IMPORTSERVICE

    static final String SUBSYSTEM_IMPORTSERVICE

See Also:
  Constant Field Values

### RESOURCE

    static final String RESOURCE

See Also:
  Constant Field Values

### PREFERRED_PROVIDER

    static final String PREFERRED_PROVIDER

See Also:
  Constant Field Values

### NUMBER

    static final String NUMBER

See Also:
  Constant Field Values

### MAJOR

    static final String MAJOR

See Also:
  Constant Field Values

### MINOR

    static final String MINOR

See Also:
  Constant Field Values

### MICRO

    static final String MICRO

See Also:
  Constant Field Values

### QUALIFIER

    static final String QUALIFIER

See Also:
  Constant Field Values

### VERSION

    static final String VERSION

See Also:
  Constant Field Values

### ATLEAST

    static final String ATLEAST

See Also:
  Constant Field Values

### FLOOR

    static final String FLOOR

See Also:
  Constant Field Values

### CEILING

    static final String CEILING

See Also:
  Constant Field Values

### INTERVAL

    static final String INTERVAL

See Also:
  Constant Field Values

### VERSIONRANGE

    static final String VERSIONRANGE

See Also:
  Constant Field Values

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.